=== modified file 'src/com/goldencode/p2j/persist/TempTableBuilder.java'
--- src/com/goldencode/p2j/persist/TempTableBuilder.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/persist/TempTableBuilder.java	2022-10-10 15:18:18 +0000
@@ -114,6 +114,7 @@
 **     CA  20221006 Added JMX instrumentation for dynamic temp-table prepare. Refs #6814
 **                  Do not access tableHandle() in the FWD runtime, get the TempTable instance directly.  
 **                  Refs #6826
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -3542,7 +3543,7 @@
                           srcField.getCodePage(),
                           srcField.getHelp(),
                           srcField.isSerializeHidden(),
-                          srcField.getSerializeName(),
+                          srcField.serializeName(),
                           srcField.getXmlDataType(),
                           srcField.getXmlNodeName(),
                           srcField.getXmlNodeType(),
@@ -3694,6 +3695,6 @@
             eh.clearPending();
          }
       }
-      return "DYNAMIC " + myName + ", ID " + getUniqueID().getValue() + "\n" + lc.toStringMessage();
+      return "DYNAMIC " + myName + ", ID " + uniqueID().getValue() + "\n" + lc.toStringMessage();
    }
 }

=== modified file 'src/com/goldencode/p2j/persist/serial/ExtentTracker.java'
--- src/com/goldencode/p2j/persist/serial/ExtentTracker.java	2021-05-10 08:13:32 +0000
+++ src/com/goldencode/p2j/persist/serial/ExtentTracker.java	2022-10-10 15:18:37 +0000
@@ -2,12 +2,13 @@
 ** Module   : ExtentTracker.java
 ** Abstract : Helper object to track extents during temp-table data import.
 **
-** Copyright (c) 2017-2021, Golden Code Development Corporation.
+** Copyright (c) 2017-2022, Golden Code Development Corporation.
 **
 ** -#- -I- --Date-- ---------------------------------------Description---------------------------------------
 ** 001 ECF 20190123 Extracted from XmlImport.
 ** 002 OM  20201120 Small fix in constructor.
 ** 003 CA  20210510 Fixed JSON and XML serialization when XML-NODE-NAME/SERIALIZE-NAME field options are set.
+** 004 VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -93,7 +94,7 @@
          Integer extent = column.getExtent();
          if (extent != null && extent > 0)
          {
-            String name = json ? column.getSerializeName() : column.getXmlNodeName();
+            String name = json ? column.serializeName() : column.getXmlNodeName();
             ExtentTracker.Tracker tracker = new Tracker(extent);
             trackers.put(name, tracker);
          }

=== modified file 'src/com/goldencode/p2j/persist/serial/JsonExport.java'
--- src/com/goldencode/p2j/persist/serial/JsonExport.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/persist/serial/JsonExport.java	2022-10-10 15:18:49 +0000
@@ -29,6 +29,7 @@
 **                  the BlockManager API
 **     CA  20221006 Do not access tableHandle() in the FWD runtime, get the TempTable instance directly.  
 **                  Refs #6826
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -454,7 +455,7 @@
       
       JsonObject json = (JsonObject) (((ObjectVar<?>) ufo).ref());
       clearObject(json);
-      json.add_1(buffer.getSerializeName(), root);
+      json.add_1(buffer.serializeName(), root);
       
       return true; // all good!
    }
@@ -544,7 +545,7 @@
          
          JsonObject json = (JsonObject) (((ObjectVar<?>) ufo).ref());
          clearObject(json);
-         json.add(((BufferImpl) buffer.getDMOProxy()).getSerializeName(), root);
+         json.add(((BufferImpl) buffer.getDMOProxy()).serializeName(), root);
       }
       else //if (isJATarget)
       {
@@ -598,7 +599,7 @@
       
       for (TempTableSchema.Column column : schema.columns())
       {
-         String name = column.getSerializeName();
+         String name = column.serializeName();
          if (ReservedProperty.isReservedProperty(name))
          {
             // some fields which start with "__" are hidden fields (specific to BEFORE tables)
@@ -626,7 +627,7 @@
                addPropertyToJsonArray(jsonExtent.ref(), column, datum);
             }
             
-            root.ref().add(new character(column.getSerializeName()), jsonExtent);
+            root.ref().add(new character(column.serializeName()), jsonExtent);
          }
          else // plain property
          {
@@ -660,24 +661,24 @@
    {
       switch (column.getType().getSimpleName().toLowerCase())
       {
-         case "character": dest.add(new character(column.getSerializeName()), (character) datum); break;
-         case "comhandle": dest.add(new character(column.getSerializeName()), (comhandle) datum); break;
-         case "date": dest.add(new character(column.getSerializeName()), (date) datum); break;
-         case "datetime": dest.add(new character(column.getSerializeName()), (datetime) datum); break;
-         case "datetimetz": dest.add(new character(column.getSerializeName()), (datetimetz) datum); break;
-         case "decimal": dest.add(new character(column.getSerializeName()), (decimal) datum); break;
-         case "handle": dest.add(new character(column.getSerializeName()), (handle) datum); break;
-         case "int64": dest.add(new character(column.getSerializeName()), (int64) datum); break;
-         case "integer": dest.add(new character(column.getSerializeName()), (integer) datum); break;
-         case "logical": dest.add(new character(column.getSerializeName()), (logical) datum); break;
-         case "longchar": dest.add(new character(column.getSerializeName()), (longchar) datum); break;
-         case "memptr": dest.add(new character(column.getSerializeName()), (memptr) datum); break;
-         case "raw": dest.add(new character(column.getSerializeName()), (raw) datum); break;
-         case "recid": dest.add(new character(column.getSerializeName()), (recid) datum); break;
-         case "rowid": dest.add(new character(column.getSerializeName()), (rowid) datum); break;
-         case "object": dest.add_1(new character(column.getSerializeName()), (object) datum); break;
-         case "blob": dest.add(new character(column.getSerializeName()), (blob) datum); break;
-         case "clob": dest.add(new character(column.getSerializeName()), (clob) datum); break;
+         case "character": dest.add(new character(column.serializeName()), (character) datum); break;
+         case "comhandle": dest.add(new character(column.serializeName()), (comhandle) datum); break;
+         case "date": dest.add(new character(column.serializeName()), (date) datum); break;
+         case "datetime": dest.add(new character(column.serializeName()), (datetime) datum); break;
+         case "datetimetz": dest.add(new character(column.serializeName()), (datetimetz) datum); break;
+         case "decimal": dest.add(new character(column.serializeName()), (decimal) datum); break;
+         case "handle": dest.add(new character(column.serializeName()), (handle) datum); break;
+         case "int64": dest.add(new character(column.serializeName()), (int64) datum); break;
+         case "integer": dest.add(new character(column.serializeName()), (integer) datum); break;
+         case "logical": dest.add(new character(column.serializeName()), (logical) datum); break;
+         case "longchar": dest.add(new character(column.serializeName()), (longchar) datum); break;
+         case "memptr": dest.add(new character(column.serializeName()), (memptr) datum); break;
+         case "raw": dest.add(new character(column.serializeName()), (raw) datum); break;
+         case "recid": dest.add(new character(column.serializeName()), (recid) datum); break;
+         case "rowid": dest.add(new character(column.serializeName()), (rowid) datum); break;
+         case "object": dest.add_1(new character(column.serializeName()), (object) datum); break;
+         case "blob": dest.add(new character(column.serializeName()), (blob) datum); break;
+         case "clob": dest.add(new character(column.serializeName()), (clob) datum); break;
       }
    }
    
@@ -780,13 +781,13 @@
                ttRoot.ref().add_2(node);
             });
             
-            dsRoot.ref().add(after.getSerializeName(), ttRoot);
+            dsRoot.ref().add(after.serializeName(), ttRoot);
          }
       }
       
       JsonObject json = (JsonObject) (((ObjectVar<?>) ufo).ref());
       clearObject(json);
-      json.add_1(dataSet.getSerializeName(), dsRoot);
+      json.add_1(dataSet.serializeName(), dsRoot);
       
       return true;
    }
@@ -835,7 +836,7 @@
       TempTableSchema schema = new TempTableSchema(buffer, true);
       boolean isBefore = (overrideBeforeName != null);
       TempTable tempTable = buffer.getParentTable();
-      String serializeName = tempTable.getSerializeName().toJavaType();
+      String serializeName = tempTable.serializeName().toJavaType();
       String tableName = isBefore 
                             ? overrideBeforeName
                             : serializeName != null && !serializeName.isEmpty() 
@@ -882,7 +883,7 @@
       }
       
       // build a query depending on the relation, and add each record from the relation
-      handle hquery = relation.getQueryAsHandle();
+      handle hquery = relation.queryAsHandle();
       QueryWrapper query = (QueryWrapper) hquery.getResource();
       query.queryOpen();
       query.first();
@@ -940,7 +941,7 @@
    {
       TempTableSchema schema = new TempTableSchema(buffer, true);
       TempTable tempTable = buffer.getParentTable();
-      String serializeName = tempTable.getSerializeName().toJavaType();
+      String serializeName = tempTable.serializeName().toJavaType();
       String tableName = serializeName != null && !serializeName.isEmpty() ? serializeName
                : schema.getTableName();
       
@@ -1020,7 +1021,7 @@
    {
       if (!noOuter)
       {
-         json.fieldName(dataSet.getSerializeName().toStringMessage());
+         json.fieldName(dataSet.serializeName().toStringMessage());
          json.startObject();
       }
       
@@ -1245,7 +1246,7 @@
       {
         for (TempTableSchema.Column column : schema.columns())
         {
-           String name = column.getSerializeName();
+           String name = column.serializeName();
            if (!hiddenFields && ReservedProperty.isReservedProperty(name))
            {
               // fields which start with "__" are hidden fields (specific to BEFORE tables)
@@ -1361,7 +1362,7 @@
       
       if (!extent)
       {
-         json.fieldName(column.getSerializeName());
+         json.fieldName(column.serializeName());
       }
       
       if (((BaseDataType) datum).isUnknown())

=== modified file 'src/com/goldencode/p2j/persist/serial/JsonImport.java'
--- src/com/goldencode/p2j/persist/serial/JsonImport.java	2022-04-22 22:17:35 +0000
+++ src/com/goldencode/p2j/persist/serial/JsonImport.java	2022-10-10 15:19:04 +0000
@@ -24,6 +24,7 @@
 **     OM  20220420 Rewrite the read in REPLACE mode.
 **     CA  20220420 Reading from JSON allows a table field to not exist in the JSON, which will default to its
 **                  initial value.
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -447,7 +448,7 @@
       
       ObjectMapper mapper = new ObjectMapper();
       JsonFactory factory = mapper.getFactory();
-      String tableName = proxy.getSerializeName().toJavaType();
+      String tableName = proxy.serializeName().toJavaType();
       try (Reader reader = new InputStreamReader(source.getStream());
            JsonParser parser = factory.createParser(reader))
       {

=== modified file 'src/com/goldencode/p2j/persist/serial/SerializeOptions.java'
--- src/com/goldencode/p2j/persist/serial/SerializeOptions.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/persist/serial/SerializeOptions.java	2022-10-10 15:19:14 +0000
@@ -12,6 +12,7 @@
 ** 005 OM  20010121 Allow the field members be mutable.
 **     CA  20221006 Refactored TableMapper for temp-tables to keep a cache of LegacyTableInfo and the mutable 
 **                  state in MutableFieldInfo, for the actual TempTable instance. Refs #6825
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -183,7 +184,7 @@
     * 
     * @return  Serialize name.
     */
-   public String getSerializeName()
+   public String serializeName()
    {
       return serializeName;
    }
@@ -194,7 +195,7 @@
     * @param   sName
     *          The new serialize name.
     */
-   public void  setSerializeName(String sName)
+   public void  serializeName(String sName)
    {
       serializeName = sName;
    }

=== modified file 'src/com/goldencode/p2j/persist/serial/TableSerializeOptions.java'
--- src/com/goldencode/p2j/persist/serial/TableSerializeOptions.java	2018-11-14 18:57:49 +0000
+++ src/com/goldencode/p2j/persist/serial/TableSerializeOptions.java	2022-10-10 15:19:31 +0000
@@ -2,11 +2,12 @@
 ** Module   : SerializeOptions.java
 ** Abstract : Options related to serialized temp-table data.
 **
-** Copyright (c) 2018, Golden Code Development Corporation.
+** Copyright (c) 2018-2022, Golden Code Development Corporation.
 **
 ** -#- -I- --Date-- ---------------------------------Description---------------------------------
 ** 001 CA  20180511 Created initial version.
 ** 002 OM  20181114 Made serializeName attribute mutable.
+** 003 VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -109,7 +110,7 @@
     * 
     * @return  Serialize name.
     */
-   public String getSerializeName()
+   public String serializeName()
    {
       return serializeName;
    }
@@ -120,7 +121,7 @@
     * @param   sName
     *          The new serialize name.
     */
-   public void  setSerializeName(String sName)
+   public void  serializeName(String sName)
    {
       serializeName = sName;
    }

=== modified file 'src/com/goldencode/p2j/persist/serial/TempTableSchema.java'
--- src/com/goldencode/p2j/persist/serial/TempTableSchema.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/persist/serial/TempTableSchema.java	2022-10-10 15:19:39 +0000
@@ -25,6 +25,7 @@
 **     OM  20220212 Use ReservedProperty static method for testing reserved properties names.
 **     CA  20221006 Refactored TableMapper for temp-tables to keep a cache of LegacyTableInfo and the mutable 
 **                  state in MutableFieldInfo, for the actual TempTable instance. Refs #6825
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -133,7 +134,7 @@
       
       // the table name is used for serialization, regardless of the individual buffer name
       this.name = TableMapper.getLegacyName(recBuf);
-      this.xmlName = buf.getSerializeName().toJavaType();
+      this.xmlName = buf.serializeName().toJavaType();
       
       Class<? extends DataModelObject> dmoIface = recBuf.getDMOInterface();
       Map<String, Method> getterMap = PropertyHelper.allGettersByProperty(dmoIface);
@@ -173,7 +174,7 @@
          }
          
          Column col = new Column(i + 1, getterMap, setterMap, info, recBuf);
-         String cname = json ? col.getSerializeName() : col.getXmlNodeName();
+         String cname = json ? col.serializeName() : col.getXmlNodeName();
          cname = cname.toLowerCase();
          if (columns.containsKey(cname))
          {
@@ -387,7 +388,7 @@
          this.lfi = lfi;
          SerializeOptions opts = lfi.getSerializeOptions(tt);
          
-         String serName = opts.getSerializeName();
+         String serName = opts.serializeName();
          if ("".equals(serName))
          {
             serName = null;
@@ -508,7 +509,7 @@
        * 
        * @return    The field name used for (de)serialization.
        */
-      public String getSerializeName()
+      public String serializeName()
       {
          if (lfi == null)
          {

=== modified file 'src/com/goldencode/p2j/persist/serial/XmlExport.java'
--- src/com/goldencode/p2j/persist/serial/XmlExport.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/persist/serial/XmlExport.java	2022-10-10 15:19:49 +0000
@@ -34,6 +34,7 @@
 **     CA  20220218 Ensure the group and decimal separators are ',' and '.' during record write.
 **     CA  20221006 Do not access tableHandle() in the FWD runtime, get the TempTable instance directly.  
 **                  Refs #6826
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -1703,7 +1704,7 @@
       }
       
       // build a query depending on the relation, and add each record from the relation
-      QueryWrapper query = (QueryWrapper) relation.getQueryAsHandle().getResource();
+      QueryWrapper query = (QueryWrapper) relation.queryAsHandle().getResource();
       query.queryOpen();
       query.first();
       while (!query._isOffEnd())

=== modified file 'src/com/goldencode/p2j/persist/serial/XmlImport.java'
--- src/com/goldencode/p2j/persist/serial/XmlImport.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/persist/serial/XmlImport.java	2022-10-10 15:19:58 +0000
@@ -36,6 +36,7 @@
 **     OM  20220422 Rewrite the read in REPLACE mode.
 **     CA  20221006 Do not access tableHandle() in the FWD runtime, get the TempTable instance directly.  
 **                  Refs #6826
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -466,7 +467,7 @@
                            for (int i = 1; i <= numBuf; i++)
                            {
                               buffer = (BufferImpl) ds.bufferHandle(i).getResource();
-                              if (buffer.getSerializeName().toStringMessage().equalsIgnoreCase(name) || 
+                              if (buffer.serializeName().toStringMessage().equalsIgnoreCase(name) || 
                                   buffer.name().toStringMessage().equalsIgnoreCase(name))
                               {
                                  found = true;

=== modified file 'src/com/goldencode/p2j/ui/BrowseWidget.java'
--- src/com/goldencode/p2j/ui/BrowseWidget.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/ui/BrowseWidget.java	2022-10-10 15:20:19 +0000
@@ -377,6 +377,7 @@
 **     CA  20221006          Refactored TableMapper for temp-tables to keep a cache of LegacyTableInfo and
 **                           the mutable state in MutableFieldInfo, for the actual TempTable instance. 
 **                           Refs #6825
+**     VVT 2022yyyy          Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -2673,7 +2674,7 @@
     * @return   The associated query or <code>unknown</code> if none exists.
     */
    @Override
-   public handle getQueryAsHandle()
+   public handle queryAsHandle()
    {
       P2JQuery query = getQuery();
       
@@ -2687,7 +2688,7 @@
     *           The query to associate.
     */
    @Override
-   public void setQueryAsHandle(handle qry)
+   public void queryAsHandle(handle qry)
    {
       if (qry == null || qry.isUnknown() || !qry._isValid())
       {
@@ -2722,7 +2723,7 @@
     *           The query to associate.
     */
    @Override
-   public void setQueryAsHandle(QueryWrapper qry)
+   public void queryAsHandle(QueryWrapper qry)
    {
       setQuery(qry);
    }

=== modified file 'src/com/goldencode/p2j/ui/FrameWidget.java'
--- src/com/goldencode/p2j/ui/FrameWidget.java	2022-06-27 14:32:59 +0000
+++ src/com/goldencode/p2j/ui/FrameWidget.java	2022-10-10 15:20:34 +0000
@@ -200,6 +200,7 @@
 **     ME  20220512          Frame has fixed size only when size is assigned outside of frame setup.
 **     ME  20220526          Extend validation for ROW/COLUMN attributes against parent.
 **     CA  20220627          SCREEN-VALUE is not a queryable/settable attribute for FRAME.
+**     VVT 2022yyyy          Method(s) renamed to avoid method name clashes. See #6767.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -814,7 +815,7 @@
     *          A {@link handle} for the current iteration of the frame.
     */
    @Override
-   public void setCurrentIteration(handle newIter)
+   public void currentIteration(handle newIter)
    {
       UnimplementedFeature.missing("CURRENT-ITERATION setter is not implemented for frames.");
    }

=== modified file 'src/com/goldencode/p2j/ui/GenericFrame.java'
--- src/com/goldencode/p2j/ui/GenericFrame.java	2022-10-05 08:54:36 +0000
+++ src/com/goldencode/p2j/ui/GenericFrame.java	2022-10-10 15:20:46 +0000
@@ -965,6 +965,7 @@
 **                           the scopeable is 'active' (i.e. unnamed streams or accumulators are used).  This
 **                           allows a lazy registration of scopeables, to avoid the unnecessary overhead of
 **                           processing all the scopeables for each and every block.
+**     VVT 2022yyyy          Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -2377,7 +2378,7 @@
     *          A {@link handle} for the current iteration of the frame.
     */
    @Override
-   public void setCurrentIteration(handle newIter)
+   public void currentIteration(handle newIter)
    {
       UnimplementedFeature.missing("CURRENT-ITERATION setter is not implemented for frames.");
    }

=== modified file 'src/com/goldencode/p2j/ui/GenericWidget.java'
--- src/com/goldencode/p2j/ui/GenericWidget.java	2022-08-08 23:21:00 +0000
+++ src/com/goldencode/p2j/ui/GenericWidget.java	2022-10-10 15:20:54 +0000
@@ -349,6 +349,7 @@
 **                           enclosed frame visible.
 **     EVL 20220808          Reverted previous fix for resetting HIDDEN attribute to false.  The change has
 **                           been moved to GenericFrame class, processing DISPLAY statement.
+**     VVT 2022yyyy          Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -2297,7 +2298,7 @@
     *         with the widget.
     */
    @Override
-   public character getTable()
+   public character table()
    {
       // TODO: this returns unknown value when no name has been set, is that correct?
       //       (it probably isn't becuase the FRAME-FILE function returns "" when none if
@@ -2321,7 +2322,7 @@
     * @return   Current value of the DBNAME attribute.
     */
    @Override
-   public character getDbName()
+   public character dbName()
    {
       // TODO: this returns unknown value when no name has been set, is that correct?
       //       (it probably isn't becuase the FRAME-DB function returns "" when none if
@@ -2334,7 +2335,7 @@
     *
     * @return   Current value of the DBNAME attribute or empty string if no value is set.
     */
-   public String _getDbName()
+   public String _dbName()
    {
       return (dbName == null) ? "" : dbName;
    }

=== modified file 'src/com/goldencode/p2j/ui/LogicalTerminal.java'
--- src/com/goldencode/p2j/ui/LogicalTerminal.java	2022-10-07 15:48:09 +0000
+++ src/com/goldencode/p2j/ui/LogicalTerminal.java	2022-10-10 15:21:05 +0000
@@ -1012,6 +1012,7 @@
 **                           processing all the scopeables for each and every block.
 **     CA  20220906          Moved the interactive client cleaner to LogicalTerminal.registerCleaner().
 **     EVL 20221007          Adding runtime support for SESSION:LOAD-ICON.
+**     VVT 2022yyyy          Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -15230,7 +15231,7 @@
              lt.frameName  = gfr._getName();
              lt.frameField = gfr.getOriginalName(valWidget);
              lt.frameFile  = valWidget._getTable();
-             lt.frameDb    = valWidget._getDbName();
+             lt.frameDb    = valWidget._dbName();
           }
       }
    }

=== modified file 'src/com/goldencode/p2j/util/ADMData.java'
--- src/com/goldencode/p2j/util/ADMData.java	2017-04-01 23:33:34 +0000
+++ src/com/goldencode/p2j/util/ADMData.java	2022-10-10 15:21:21 +0000
@@ -2,11 +2,12 @@
 ** Module   : ADMData.java
 ** Abstract : Define getter and setter for ADM-DATA attribute.
 **
-** Copyright (c) 2013-2017, Golden Code Development Corporation.
+** Copyright (c) 2013-2022, Golden Code Development Corporation.
 **
 ** -#- -I- --Date-- -----------------------Description------------------------
 ** 001 CA  20130220 Created initial version.
 ** 002 EVL 20130911 Adding legacy attributes annotation.
+** 003 VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -74,23 +75,23 @@
     * @return   See above.
     */
    @LegacyAttribute(name = "ADM-DATA")
-   public character getADMData();
-
-   /**
-    * Set the value of the ADM-DATA attribute.
-    * 
-    * @param    value
-    *           The new value.
-    */
-   @LegacyAttribute(name = "ADM-DATA", setter = true)
-   public void setADMData(String value);
-
-   /**
-    * Set the value of the ADM-DATA attribute.
-    * 
-    * @param    value
-    *           The new value.
-    */
-   @LegacyAttribute(name = "ADM-DATA", setter = true)
-   public void setADMData(character value);
+   public character admData();
+
+   /**
+    * Set the value of the ADM-DATA attribute.
+    * 
+    * @param    value
+    *           The new value.
+    */
+   @LegacyAttribute(name = "ADM-DATA", setter = true)
+   public void admData(String value);
+
+   /**
+    * Set the value of the ADM-DATA attribute.
+    * 
+    * @param    value
+    *           The new value.
+    */
+   @LegacyAttribute(name = "ADM-DATA", setter = true)
+   public void admData(character value);
 }
\ No newline at end of file

=== modified file 'src/com/goldencode/p2j/util/Call.java'
--- src/com/goldencode/p2j/util/Call.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/util/Call.java	2022-10-10 15:21:34 +0000
@@ -33,6 +33,7 @@
 **     CA  20220930 Refactored the callback invocation to be performed via a call-site and InvokeConfig, to
 **                  allow caching of the resolved target.
 **     CA  20221006 UNIQUE-ID is kept as Java type instead of BDT.  Refs #6827
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -320,7 +321,7 @@
     * @return   See above.
     */
    @Override
-   public character getADMData()
+   public character admData()
    {
       return new character(admData);
    }
@@ -332,7 +333,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(String value)
+   public void admData(String value)
    {
       this.admData.assign(value);
    }
@@ -344,7 +345,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(character value)
+   public void admData(character value)
    {
       this.admData.assign(value);
    }
@@ -356,7 +357,7 @@
     * @return   The integer number of the children.
     */
    @Override
-   public integer getUniqueID()
+   public integer uniqueID()
    {
       return new integer(uniqueID);
    }

=== modified file 'src/com/goldencode/p2j/util/DatabaseInfo.java'
--- src/com/goldencode/p2j/util/DatabaseInfo.java	2017-04-01 23:33:34 +0000
+++ src/com/goldencode/p2j/util/DatabaseInfo.java	2022-10-10 15:21:48 +0000
@@ -2,11 +2,12 @@
 ** Module   : DatabaseInfo.java
 ** Abstract : Defines database-related methods and attributes support.
 **
-** Copyright (c) 2013-2017, Golden Code Development Corporation.
+** Copyright (c) 2013-2022, Golden Code Development Corporation.
 **
 ** -#- -I- --Date-- -----------------------Description------------------------
 ** 001 VMN 20130217 Created initial version.
 ** 002 EVL 20130911 Adding legacy attributes and methods annotation.
+** 003 VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -74,7 +75,7 @@
     * @return    Current value of the DBNAME attribute.
     */
    @LegacyAttribute(name = "DBNAME")
-   public character getDbName();
+   public character dbName();
 
    /**
     * Returns the state of the TABLE attribute
@@ -82,5 +83,5 @@
     * @return    Current value of the TABLE attribute.
     */
    @LegacyAttribute(name = "TABLE")
-   public character getTable();
+   public character table();
 }
\ No newline at end of file

=== modified file 'src/com/goldencode/p2j/util/ExternalProgramWrapper.java'
--- src/com/goldencode/p2j/util/ExternalProgramWrapper.java	2022-10-03 15:17:22 +0000
+++ src/com/goldencode/p2j/util/ExternalProgramWrapper.java	2022-10-10 15:21:56 +0000
@@ -47,6 +47,7 @@
 **                  a connection.
 **     VVT 20221003 CommonHandle.getResourceType() method renamed to resourceType() to prevent conflicts
 **                  with namesakes in DMO. See #6694.
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -621,33 +622,33 @@
     * @return   See above.
     */
    @Override
-   public character getADMData()
-   {
-      return ProcedureManager.getADMData(referent);
-   }
-
-   /**
-    * Set the value of the ADM-DATA attribute.
-    * 
-    * @param    value
-    *           The new value.
-    */
-   @Override
-   public void setADMData(String value)
-   {
-      ProcedureManager.setADMData(referent, value);
-   }
-
-   /**
-    * Set the value of the ADM-DATA attribute.
-    * 
-    * @param    value
-    *           The new value.
-    */
-   @Override
-   public void setADMData(character value)
-   {
-      ProcedureManager.setADMData(referent, value.getValue());
+   public character admData()
+   {
+      return ProcedureManager.admData(referent);
+   }
+
+   /**
+    * Set the value of the ADM-DATA attribute.
+    * 
+    * @param    value
+    *           The new value.
+    */
+   @Override
+   public void admData(String value)
+   {
+      ProcedureManager.admData(referent, value);
+   }
+
+   /**
+    * Set the value of the ADM-DATA attribute.
+    * 
+    * @param    value
+    *           The new value.
+    */
+   @Override
+   public void admData(character value)
+   {
+      ProcedureManager.admData(referent, value.getValue());
    }
 
    /**
@@ -657,9 +658,9 @@
     * @return   The integer number of the children.
     */
    @Override
-   public integer getUniqueID()
+   public integer uniqueID()
    {
-      return ProcedureManager.getUniqueID(referent);
+      return ProcedureManager.uniqueID(referent);
    }
    
    /**

=== modified file 'src/com/goldencode/p2j/util/IterableResource.java'
--- src/com/goldencode/p2j/util/IterableResource.java	2017-04-01 23:33:34 +0000
+++ src/com/goldencode/p2j/util/IterableResource.java	2022-10-10 15:22:12 +0000
@@ -2,12 +2,13 @@
 ** Module   : IterableResource.java
 ** Abstract : interface which must be implemented iterable components such as Buffer or Frame 
 **
-** Copyright (c) 2014-2017, Golden Code Development Corporation.
+** Copyright (c) 2014-2022, Golden Code Development Corporation.
 **
 ** -#- -I- --Date-- ---------------------------------Description---------------------------------
 ** 001 VIG 20140121 Created initial version.
 ** 002 EVL 20160621 Adding setter.  Now the frame interface inherits this instead of direct
 **                  defining setter and getter.
+** 003 VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -87,5 +88,5 @@
     *          A {@link handle} for the current iteration of the frame.
     */
    @LegacyAttribute(name = "CURRENT-ITERATION", setter = true)
-   public void setCurrentIteration(handle newIter);
+   public void currentIteration(handle newIter);
 }
\ No newline at end of file

